--[[
	lua/texbuf.lua
	[G-moder]NanoCat :D | (STEAM_0:1:42964759)
	===DStream===
]]

local texbuff = {}

concommand.Add( 'compile', function()
	print( [[{ ']] .. table.concat( texbuff, [[', ']] ) .. [[' }]] )
	texbuff = {}
end )

hook.Add( 'Think', 'texbuff', function()
	local self = LocalPlayer()
	local tex = self:GetEyeTraceNoCursor().HitTexture
	
	if self:KeyDown( IN_ATTACK ) and not table.HasValue( texbuff, tex ) then
		table.insert( texbuff, tex )
	end
end )